
TYPO3.Flow - Task # 2556

Status: Resolved Priority: Should have
Author: Robert Lemke Category: MVC
Created: 2009-02-04 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Use only mock objects instead of the real object manager / factory in Routing tests
Description

Currently most of the tests of MVC/Web/Routing/* use real objects instead of mocked ones (especially in the RouteTest). This needs
to be cleaned up.

Related issues:
duplicated by TYPO3.Flow - Task # 3322: Use mocked objects instead of real on... Closed 2009-05-15

Associated revisions
Revision 7ff016ae - 2009-09-03 19:59 - Bastian Waidelich

[~TASK] FLOW3 (MVC): replaced objectFactory & objectManager by mock objects in RouteTest, added some tests. This resolves #2556

History
#1 - 2009-05-19 12:21 - Robert Lemke
- Target version changed from 1.0 alpha 1 to 283

#2 - 2009-06-04 15:20 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 2

#3 - 2009-06-30 17:50 - Robert Lemke
- Target version changed from 1.0 alpha 2 to 283

#4 - 2009-07-02 16:42 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

#5 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#6 - 2009-09-03 20:00 - Bastian Waidelich
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3118.
